Subject: Re: [ppsp] [decade] How about modifying tracker to support DECADE?

From: "乐冠" <[email-masked]>
Date: Wed, 16 Mar 2011 17:38:53 +0800

Hi Yunfei and Lichun

Thank you for your comments. I will update draft based on your suggestion. Here are my considerations in line:

1) The target of this draft: Is it better to discuss the inter-opearability between PPSP and DECADE;or discuss the usage of DECADE in PPSP? I mean the focus may be a little bit different: In the former case, the focus is how the protocols inter-act in the mesage options exchange; in the latter case, the focus is how the PPSP applications use DECADE to enhance the performance. I prefer to taking it as the usage.
I agree your opinion. What's more, content about PPSP and DECADE interoperation aims to provide scenarios for usage. Also, we can list some extension suggestions to both protocol. Peharps I can add a new chapter to those suggestion.

2) Should we make DECADE server selection with priority all the time? In the mobile senario, such selection is reasonable; in wired senario, it seems better to select good enough peers within my LAN than select DECADE servers which is more far from me. This will reduce the unnecessary traffic and provide better performance.
I agree. We should design based on different scenarios. One more question, should peer upload content to DECADE server automatically when get data from other peers? Perhaps in push-based model, it may be reasonable; in pull-based model, peer can wait for other peers' request and then take action to requests.

Guan Le
School of Computer Science
Beijing University of Posts and Telecommunications
2011-03-16

From:  zhangyunfei 
Date:  2011-03-14  10:48:23 
To:  [email-masked]; [email-masked] 
Cc:  
Subject:  Re: [decade] How about modifying tracker to support DECADE? 
  
Hi Lichun,
    This is an intersting topic I thought and discussed during the set up of PPSP and DECADE. Thanks for making it more clear:).Some suggestions are as follows:
1) The target of this draft: Is it better to discuss the inter-opearability between PPSP and DECADE;or discuss the usage of DECADE in PPSP? I mean the focus may be a little bit different: In the former case, the focus is how the protocols inter-act in the mesage options exchange; in the latter case, the focus is how the PPSP applications use DECADE to enhance the performance. I prefer to taking it as the usage.
2) Should we make DECADE server selection with priority all the time? In the mobile senario, such selection is reasonable; in wired senario, it seems better to select good enough peers within my LAN than select DECADE servers which is more far from me. This will reduce the unnecessary traffic and provide better performance.

BR
Yunfei

zhangyunfei
2011-03-14

发件人： [email-masked]
发送时间： 2011-03-11 17:48:36
收件人： [email-masked]
抄送： 
主题： [decade] How about modifying tracker to support DECADE?

Hi all, 
It seems that this WG has not considered modifying tracker to support DECADE. 
I believe that modifying both tracker and peer can make better use of DECADE compared with modifying peer only. 
We have proposed two solutions and submitted a draft about extending PPSP to support DECADE (http://tools.ietf.org/html/draft-le-ppsp-decade-interoperation-00.txt 
). The solutions also put some requirements on DECADE. 
I summarize our solutions as below. Comments are welcome. 

Solution 1 
Each peer reports to tracker that whether it has DECADE server or not. Peer A queries peer list from tracker. 
The peer list indicates that each peer has DECADE server or not. The Peer A can request content from peers having DECADE servers with high priority. 

Solution 2 
Tracker maintains DECADE information (DECADE list and the content availability information of each DECADE server). Peer A queries node list from tracker for downloading content. Tracker returns the list of peers and DECADE servers having requested content. Then Peer A can request content from other peer's or tracker's DECADE server. 
If the DECADE service is rent by peers, peers upload contents to DECADE servers and report the DECADE information to tracker. 
If the DECADE service is rent by tracker (i.e. P2P content sharing service provider), tracker instruct peers uploading contents to DECADE servers or DECADE servers downloading contents from peers. 

BR 
Lichun

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.